﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace test_app
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private ObservableCollection<ChartData> _data;

        public MainWindow()
        {
            InitializeComponent();
            CreateCharts();
        }

        public void CreateCharts()
        {

            _data = GenerateData();

            DataContext = _data;


        }

        public class ChartData
        {
            public DateTime TimeStamp { get; set; }
            public double Flow { get; set; }
            public double Pressure { get; set; }
            public int CA { get; set; }
            public int OA { get; set; }
            public int MA { get; set; }
            public int CH { get; set; }
            public int OH { get; set; }
            public int MH { get; set; }
            public int PB { get; set; }
            public int FL { get; set; }
            public int HL { get; set; }
            public int RA { get; set; }
            public int S { get; set; }
            public int AR { get; set; }
            public int EP { get; set; }

        }

        public static ObservableCollection<ChartData> GenerateData()
        {



            var data = new ObservableCollection<ChartData>();
            int ca;
            int oa;
            int ch;
            int oh;
            int pb;
            int fl;
            int hl;
            int ra;
            int s;
            int ar;
            int ep;

            var cpapEpoch = new DateTime(2002, 1, 1, 0, 0, 0);



            double pressure = 0;
            //CA
            ca = 4;
            //OA
            oa = 8;
            //CH
            ch = 12;
            //OH
            oh = 16;
            //PB
            pb = 20;
            //FL
            fl = 24;
            //HL
            hl = 28;
            //RA
            ra = 32;
            //S
            s = 36;
            //AR
            ar = 40;
            //EP
            ep = 44;
            var row = new ChartData
                {

                    Pressure = pressure,
                    CA = ca,
                    OA = oa,
                    CH = ch,
                    OH = oh,
                    PB = pb,
                    FL = fl,
                    HL = hl,
                    RA = ra,
                    S = s,
                    AR = ar,
                    EP = ep
                };

            data.Add(row);

            return data;
        }
        /// <summary>
        /// saves the show Ep label value
        /// 
        /// </summary>
        public static bool ButtonChecked
        {
            get
            {
                return test_app.Properties.Settings.Default.Checked;
            }
            set
            {
                test_app.Properties.Settings.Default.Checked = value;
                test_app.Properties.Settings.Default.Save();
            }
        }
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ButtonChecked = true;
        }

        private void ButtonBase_OnClick(object sender, RoutedEventArgs e)
        {
            ButtonChecked = false;
        }

    }
}
